> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inprocess.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Split

> Create a split contract for revenue sharing. Requires authentication via API key.



## OpenAPI

````yaml POST /splits
openapi: 3.1.0
info:
  title: In•Process API
  description: >-
    The In•Process API enables browsing and managing moments from timelines.
    Retrieve moments from a specific artist's timeline, browse the in•process
    collective timeline, or filter by collection. The API supports creating
    moments, managing collections, handling payments, and interacting with the
    In•Process protocol ecosystem.
  version: 1.0.0
servers:
  - url: https://api.inprocess.world/api
    description: Production server
security: []
paths:
  /splits:
    post:
      summary: Create Split
      description: >-
        Create a split contract for revenue sharing. Requires authentication via
        API key.
      operationId: createSplit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSplitsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSplitsResponse'
              example:
                splitAddress: '0x1234567890123456789012345678901234567890'
                chainId: 8453
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    CreateSplitsRequest:
      type: object
      required:
        - splits
      properties:
        splits:
          type: array
          description: >-
            Revenue split recipients. Must have at least 2 recipients and sum to
            100%.
          items:
            $ref: '#/components/schemas/Split'
          minItems: 2
    CreateSplitsResponse:
      type: object
      required:
        - splitAddress
        - chainId
      properties:
        splitAddress:
          type: string
          description: Address of the created or existing split contract
        chainId:
          type: integer
          description: >-
            Chain ID where the split exists (Base in production, Base Sepolia in
            preview or development)
          example: 8453
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
          description: Error status
        message:
          type: string
          description: Error message
        errors:
          type: array
          description: >-
            Optional array of field-level validation errors. Typically included
            in 400 Bad Request responses for validation errors.
          items:
            type: object
            required:
              - field
              - message
            properties:
              field:
                type: string
                description: The field name that failed validation
              message:
                type: string
                description: The validation error message for this field
    Split:
      type: object
      required:
        - address
        - percentAllocation
      properties:
        address:
          type: string
          description: Recipient address for revenue sharing
        percentAllocation:
          type: number
          description: Allocation percentage (0-100)
          minimum: 0
          maximum: 100
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Artist API key for authentication. Get your API key from
        https://inprocess.world/manage/api-keys

````